import requests
import json

API_KEY = "API_KEY_FROM_CONFIG"
SERVER_URL = "https://YOURDOMAIN/api/v1/join"

headers = {
    "authorization": API_KEY,
    "Content-Type": "application/json",
}

data = {
    "room": "test",
    "agentName": "admin",
    "visitorName": "visitor",
}

response = requests.post(
    SERVER_URL,
    headers=headers,
    json=data,
)

print("Status code:", response.status_code)
data = json.loads(response.text)
print("join:", data["join"])
