'use strict';

const fetch = require('node-fetch');

const API_KEY = 'API_KEY_FROM_CONFIG';
const SERVER_URL = 'https://YOURDOMAIN/api/v1/join';

function getResponse() {
    return fetch(SERVER_URL, {
        method: 'POST',
        headers: {
            authorization: API_KEY,
            'Content-Type': 'application/json',
        },
        body: JSON.stringify({
            room: 'test',
            agentName: 'admin',
            visitorName: 'visitor'
        }),
    });
}

getResponse().then(async (res) => {
    console.log('Status code:', res.status);
    const data = await res.json();
    console.log('join:', data.join);
});
